org.springframework.messaging.handler.annotation.reactive

## Class HeadersMethodArgumentResolver

- java.lang.Object
- - org.springframework.messaging.handler.annotation.reactive.HeadersMethodArgumentResolver

All Implemented Interfaces:
  HandlerMethodArgumentResolver, SyncHandlerMethodArgumentResolver

    public class HeadersMethodArgumentResolver
    extends Object
    implements SyncHandlerMethodArgumentResolver

Argument resolver for headers. Resolves the following method parameters:

- `@Headers` `Map`
- `MessageHeaders`
- `MessageHeaderAccessor`

Since:
  5.2
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`HeadersMethodArgumentResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `resolveArgumentValue(org.springframework.core.MethodParameter parameter, Message<?> message)` Resolve the value for the method parameter synchronously.
`boolean` `supportsParameter(org.springframework.core.MethodParameter parameter)` Whether the given method parameter is supported by this resolver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.messaging.handler.invocation.reactive.SyncHandlerMethodArgumentResolver

`resolveArgument`

### Constructor Detail

#### HeadersMethodArgumentResolver

    public HeadersMethodArgumentResolver()

### Method Detail

#### supportsParameter

    public boolean supportsParameter(org.springframework.core.MethodParameter parameter)

Description copied from interface: `HandlerMethodArgumentResolver`
Whether the given method parameter is supported by this resolver.

Specified by:
  `supportsParameter` in interface `HandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter to check
Returns:
  `true` if this resolver supports the supplied parameter; `false` otherwise

#### resolveArgumentValue

    @Nullable
    public Object resolveArgumentValue(org.springframework.core.MethodParameter parameter,
                                                 Message<?> message)

Description copied from interface: `SyncHandlerMethodArgumentResolver`
Resolve the value for the method parameter synchronously.

Specified by:
  `resolveArgumentValue` in interface `SyncHandlerMethodArgumentResolver`
Parameters:
  `parameter` - the method parameter
  `message` - the currently processed message
Returns:
  the resolved value, if any